Bug 235181 - resume from RAM causes 1 line screen corruption
resume from RAM causes 1 line screen corruption
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-i810 (Show other bugs)
5.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-04 07:33 EDT by Richard Monk
Modified: 2012-04-17 17:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-17 17:18:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci output (1.88 KB, text/plain)
2007-04-04 07:36 EDT, Richard Monk
no flags Details
Screenshot showing corruption (88.98 KB, image/jpeg)
2007-04-04 07:43 EDT, Richard Monk
no flags Details
Xorg configuration (8.55 KB, text/plain)
2007-09-19 08:19 EDT, Richard Monk
no flags Details
Xorg log (98.64 KB, text/plain)
2007-09-19 08:20 EDT, Richard Monk
no flags Details
Default xorg config on RHEL5 (801 bytes, text/plain)
2007-09-19 09:51 EDT, Richard Monk
no flags Details
default xorg log, with error occuring (138.50 KB, text/plain)
2007-09-19 09:52 EDT, Richard Monk
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 190307 None None None Never
FreeDesktop.org 9381 None None None Never

  None (edit)
Description Richard Monk 2007-04-04 07:33:46 EDT
Description of problem:
When resuming a machine running the i810 video driver, a 1-line corruption
appears on the right side.  It seems to be copying any data in this line to the
left side, about 50 pixels down.  This is the exact same bug as #190307, except
in RHEL5.  The associated X.org bug is:

https://bugs.freedesktop.org/show_bug.cgi?id=9381

System is a Lenovo T60 widescreen, model 6369-Y11.  Screen is 1680x1050

Version-Release number of selected component (if applicable):
1.6.5-9.2.el5

How reproducible:
  1. Boot machine using i810 driver
  2. Suspend
  3. Resume
  
Actual results:
Line copies from right to left of screen/vice versa

Additional info:
The recommended fix from the freedesktop.org bug is to install the latest
drivers.  I rebuilt 1.7.4 to see if it would work, and the corruption was still
there.  I mananged to get the 'intel' driver version 1.9.94 to compile against
RHEL5 X server, and that did solve the problem but it is very unstable (as that
driver was meant for a 1.3 release of X)

If I disable DRI:

Option "DRI" "off"

the corruption also disappears, but I would rather not lose 3D support if I can
at all help it.
Comment 1 Richard Monk 2007-04-04 07:36:07 EDT
Created attachment 151648 [details]
lspci output
Comment 2 Richard Monk 2007-04-04 07:43:05 EDT
Created attachment 151649 [details]
Screenshot showing corruption

Corruption maps pixels from right side of screen to left side on a single line.
Comment 3 Matěj Cepl 2007-08-17 09:45:01 EDT
Richard, please attach your X server config file (/etc/X11/xorg.conf) and X
server log file (/var/log/Xorg.*.log) to the bug report as individual
uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Matěj Cepl 2007-09-19 08:05:57 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 5 Richard Monk 2007-09-19 08:19:20 EDT
Created attachment 199421 [details]
Xorg configuration

Any of the TX60 modes exhibit the corruption.
Comment 6 Richard Monk 2007-09-19 08:20:18 EDT
Created attachment 199431 [details]
Xorg log
Comment 7 Richard Monk 2007-09-19 08:33:15 EDT
Sorry about the delay.  I will have the "fresh" xorg.conf and Xorg.0.log in just
a few minutes.
Comment 8 Richard Monk 2007-09-19 09:51:44 EDT
Created attachment 199541 [details]
Default xorg config on RHEL5

This is the default xorg config
Comment 9 Richard Monk 2007-09-19 09:52:39 EDT
Created attachment 199551 [details]
default xorg log, with error occuring
Comment 10 Richard Monk 2007-09-19 09:53:35 EDT
I attempted to run X with no xorg.conf, and it booted cleanly, but resuming from
the suspend consistently caused a kernel panic and/or infinite flashing "resume"
light with no resume.
Comment 11 Matěj Cepl 2007-09-19 15:47:43 EDT
Cool, wonderful informations ;-). I mean, sorry it doesn't work and we will try
to do something about it.
Comment 12 Adam Jackson 2012-04-17 17:18:02 EDT
No further hardware enablement updates are planned for RHEL5's X stack.  If this issue is still present in RHEL6, please update the affected product version field and reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.